> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update custom app theme configuration for employer

> Updates the existing custom app theme configuration for the specified employer. Only the provided fields will be updated; other fields will remain unchanged.



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml patch /v1/employers/{employerId}/applicationTheme
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/applicationTheme:
    patch:
      tags:
        - Employer Custom App Theming
      summary: Update custom app theme configuration for employer
      description: >-
        Updates the existing custom app theme configuration for the specified
        employer. Only the provided fields will be updated; other fields will
        remain unchanged.
      operationId: updateCustomAppTheme
      parameters:
        - description: The UUID of the employer
          in: path
          name: employerId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            examples:
              Partial theme update:
                description: Partial theme update
                summary: Example partial theme update
                value:
                  custom_app_theme:
                    body:
                      color: '#000000'
                    buttons:
                      variants:
                        primary:
                          backgroundColor: '#0066cc'
            schema:
              $ref: '#/components/schemas/CustomAppThemeRequest'
        description: Partial custom app theme configuration object
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                Updated theme response:
                  description: Updated theme response
                  summary: Example updated custom app theme configuration
                  value:
                    custom_app_theme:
                      body:
                        color: '#000000'
                      buttons:
                        variants:
                          primary:
                            activeBackgroundColor: '#004499'
                            backgroundColor: '#0066cc'
                      link:
                        color: '#0a8080'
                        decoration: underline
              schema:
                $ref: '#/components/schemas/CustomAppThemeResponse'
          description: Successfully updated custom app theme
        '404':
          description: No custom app theme found to update or employer not found
      security:
        - AuthenticationToken: []
components:
  schemas:
    CustomAppThemeRequest:
      description: Custom app theme configuration request
      properties:
        custom_app_theme:
          $ref: '#/components/schemas/CustomAppThemeObject'
          description: Custom app theme configuration object
      required:
        - custom_app_theme
      type: object
    CustomAppThemeResponse:
      description: Custom app theme configuration response
      properties:
        custom_app_theme:
          $ref: '#/components/schemas/CustomAppThemeObject'
          description: Custom app theme configuration object
      type: object
    CustomAppThemeObject:
      description: Custom app theme configuration
      properties:
        alerts:
          $ref: '#/components/schemas/AlertsTheme'
        body:
          $ref: '#/components/schemas/BodyTheme'
        buttons:
          $ref: '#/components/schemas/ButtonsTheme'
        formControl:
          $ref: '#/components/schemas/FormControlsTheme'
        headings:
          $ref: '#/components/schemas/HeadingsTheme'
        link:
          $ref: '#/components/schemas/LinkTheme'
      type: object
    AlertsTheme:
      description: Alerts styling
      properties:
        borderRadius:
          type: string
        borderWidth:
          type: string
        variants:
          $ref: '#/components/schemas/AlertsVariants'
      type: object
    BodyTheme:
      description: Body text styling
      properties:
        color:
          type: string
        fontSize:
          type: string
      type: object
    ButtonsTheme:
      description: Buttons styling
      properties:
        borderRadius:
          type: string
        variants:
          $ref: '#/components/schemas/ButtonVariantsTheme'
      type: object
    FormControlsTheme:
      description: Form controls styling
      properties:
        borderColor:
          type: string
        borderRadius:
          type: string
        focusBorderColor:
          type: string
      type: object
    HeadingsTheme:
      description: Headings styling
      properties:
        h1:
          $ref: '#/components/schemas/HeadingLevelTheme'
        h2:
          $ref: '#/components/schemas/HeadingLevelTheme'
        h3:
          $ref: '#/components/schemas/HeadingLevelTheme'
        h4:
          $ref: '#/components/schemas/HeadingLevelTheme'
        h5:
          $ref: '#/components/schemas/HeadingLevelTheme'
        h6:
          $ref: '#/components/schemas/HeadingLevelTheme'
      type: object
    LinkTheme:
      description: Link styling
      properties:
        color:
          type: string
        decoration:
          type: string
        hoverColor:
          type: string
        hoverDecoration:
          type: string
      type: object
    AlertsVariants:
      description: Alert variants styling
      properties:
        danger:
          $ref: '#/components/schemas/AlertVariantTheme'
        info:
          $ref: '#/components/schemas/AlertVariantTheme'
        primary:
          $ref: '#/components/schemas/AlertVariantTheme'
        success:
          $ref: '#/components/schemas/AlertVariantTheme'
        warning:
          $ref: '#/components/schemas/AlertVariantTheme'
      type: object
    ButtonVariantsTheme:
      description: Button variants styling
      properties:
        danger:
          $ref: '#/components/schemas/ButtonVariantTheme'
        default:
          $ref: '#/components/schemas/ButtonVariantTheme'
        info:
          $ref: '#/components/schemas/ButtonVariantTheme'
        primary:
          $ref: '#/components/schemas/ButtonVariantTheme'
        success:
          $ref: '#/components/schemas/ButtonVariantTheme'
        warning:
          $ref: '#/components/schemas/ButtonVariantTheme'
      type: object
    HeadingLevelTheme:
      description: Heading level styling
      properties:
        color:
          type: string
        fontSize:
          type: string
        fontWeight:
          type: string
      type: object
    AlertVariantTheme:
      description: Alert variant styling
      properties:
        backgroundColor:
          type: string
        borderColor:
          type: string
      type: object
    ButtonVariantTheme:
      description: Button variant styling
      properties:
        activeBackgroundColor:
          type: string
        backgroundColor:
          type: string
        borderColor:
          type: string
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````